Bug 149828 - firefox lacks a -devel package
firefox lacks a -devel package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-27 21:47 EST by Nathan G. Grennan
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-01 23:51:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Modified firefox-1.0.1-1 spec file to create a -devel package (1.90 KB, patch)
2005-02-27 21:48 EST, Nathan G. Grennan
no flags Details | Diff

  None (edit)
Description Nathan G. Grennan 2005-02-27 21:47:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8b) Gecko/20050225 Galeon/1.3.19.99

Description of problem:
  At the url below there is discussion of the state of Mozilla and Firefox development. How there is currently Mozilla 1.8b1, but that there will likely not be a 1.8 final. But that Mozilla 1.8b1 is being used a test bed for patches to be added to the Firefox 1.1 tree.

  Since Mozilla will stop being a official release tree then it will likely not get security patches like official releases would. So anything based on Mozilla completely or partially, like Epiphany, Galeon, and Evolution may be wise to start moving toward compiling against Firefox instead of Mozilla. To accomplish this they need the firefox development files. Hence I took the time to figure out what files should be in firefox-devel and modified the spec file to create a firefox-devel. I based it on firefox-1.0.1 from rawhide. I used mozilla-devel from Fedora and firefox-devel from another rpm distribution as references.


http://www.mozillazine.org/talkback.html?article=6138

Version-Release number of selected component (if applicable):
firefox-1.0.1-1

How reproducible:
Always

Steps to Reproduce:
1. yum list firefox-devel

  

Actual Results:  No Match for argument: firefox-devel

Expected Results:  Installed: firefox-devel.i386 0:1.0.1-1

Additional info:

I have sucessfully compiled Galeon CVS against the firefox and firefox-devel packages I made.
Comment 1 Nathan G. Grennan 2005-02-27 21:48:52 EST
Created attachment 111463 [details]
Modified firefox-1.0.1-1 spec file to create a -devel package
Comment 2 Christopher Aillon 2005-02-27 22:22:39 EST
>   Since Mozilla will stop being a official release tree then it will likely
not get security patches like official releases would.

If its supported still by Fedora/Red Hat, then it will get security fixes.  For
example, RHEL3 still supports Mozilla 1.4 which we backport security fixes to.

Anyway, I've already got a devel package in a separate tree (done similarly
actually).  But we can't have both a firefox-devel and a mozilla-devel package,
otherwise things get too confusing (XUL APIs are slightly different, etc.) 
Right now it's Mozilla.  I'm working on getting that changed to firefox but
there are a few loose ends to tie up first, e.g. some things that work in
mozilla currently don't in Firefox.  I'm hoping to have this all done before
FC4, but might have to wait for FC5.
Comment 3 Bob Kashani 2005-07-24 18:11:10 EDT
Chris, is there an ETA as to when the change over to firefox-devel will occur? :)
Comment 4 Christopher Aillon 2005-07-25 01:10:52 EDT
At the moment, no.  But stay tuned.  It may well be for FC5, but there are a few
things which I'm waiting on (the xulrunner story, and building with system nss
-- see upstream https://bugzilla.mozilla.org/show.bug.cgi?id=255408)
Comment 5 Matthias Clasen 2006-07-30 11:14:54 EDT
fixed in rawhide, I think. Right Chris ?

Note You need to log in before you can comment on or make changes to this bug.